Find a repair centre

Support & Downloads

How to check the OS Version in Mac OS X

There are many similarities between the different versions of OS X, this article explains how to check which version of Mac OS X you have.

  1. Click on the Apple icon Apple menu.
  2. Click on About This Mac.

    About this Mac

  3. The OS (operating system) Version and Processor is listed in the About This Mac information window.

    About this Mac 10.9

    • Epson recommend installing all available Software Updates.
    • The system can be updated via the Software Update... button in About This Mac.


Mac OS X and Epson Compatibility

10.11.x (El Capitan)

See the following article for driver support information: Epson and El Capitan - Mac OS X 10.11

10.10.x (Yosemite)

See the following article for driver support information: Epson and Yosemite - Mac OS X 10.10

10.9.x (Mavericks)

See the following article for driver support information: Epson and Mavericks - Mac OS X 10.9

10.8.x (Mountain Lion)

See the following article for driver support information: Epson and Mountain Lion - Mac OS X 10.8

10.7.x (Lion)

See the following article for driver support information: Epson and Lion - Mac OS X 10.7

10.6.x (Snow Leopard)

Many Inbox printer drivers are ONLY delivered with Snow Leopard. See the following article for driver support information: Epson and Snow Leopard - Mac OS X 10.6

10.5.x (Leopard)

Many Inbox printer drivers are delivered with Leopard. Printer Drivers dated after September 2007 on the Epson Support site are suitable for 10.5 - compatibility is normally stated in the Notes section of the driver download page. Many updates resolved issues that affect printing or related applications such as the Adobe CS3 application suite.

10.4.x (Tiger)

Many critical updates up to 10.4.11 resolve issues that affect printing with Photoshop and using Airport with Epson printers. Support is available for many past Epson products. Many products require a minimum of 10.4.4; although some require a minimum of 10.4.11 - check your product's technical specifications for information.

10.3.x (Panther)

Support is available for many past Epson products; many later products require a minimum of 10.3.9. Many current products do not support 10.3.x - check your product's technical specifications for information.

10.2.x (Jaguar)

Support is available for many past Epson products; some products require a minimum of 10.2.4, although 10.2.6 is preferred. Many products require a minimum of 10.2.8. Many products do not support 10.2.x - check your product's technical specifications for information.

10.1.x (Puma)

Supported on older printers only - not All-In-Ones or scanners. 10.1.3 and higher for P-1000, L-300, L-400. Some products with OS9 support could be used in Classic Mode in 10/10.1 NOTE: This is not supported by Epson.

10.0.x (Cheetah)

Not supported

Did you find this article helpful

Thanks for leaving feedback